.button_general {
position: relative;
width: 90%;
padding: 10px 0;
margin: 50px auto;
font-size: 30px;
font-weight: 900;
color: #fff;
text-align: center;
letter-spacing: 0.2em;
cursor: pointer;
background: var(--btn_gel-color);
border: 2px solid #EC4018;
border-radius: 10px;
box-shadow: rgba(50, 50, 93, 0.25) 0 2px 5px -1px,rgba(0, 0, 0, 0.30) 0 1px 3px -1px;
display: block;
white-space:nowrap;
}

.button_general02 {
color: #fff;
background: var(--btn_gel-color);
border: 1px solid #EC4018;
}
.button_general:hover {
color: #fff;
background: #ffd31c;
border: 2px solid #FDCE06;
}
.button_general02:hover {
color: #fff;
background: var(--btn_gel-color);
border: 1px solid var(--btn_gel-color);
}
.button_general::before {
position: absolute;
top: 0;
right: 40px;
bottom: 0;
width: 10px;
height: 10px;
margin: auto;
content: '';
border-top: 3px solid #fff;
border-right: 3px solid #fff;
transform: rotate(45deg);
transition: right 0.3s ease;
}
.button_general:hover::before {
border-top: 3px solid #fff;
border-right: 3px solid #fff;
right: 20px;
}

.button_general02::before {
border-top: 3px solid #fff;
border-right: 3px solid #fff;
}

.button_general02:hover::before {
border-top: 3px solid #fff;
border-right: 3px solid #fff;
}

#nextBtn,#submitButton{
display: none;
}

#goto_postcard,#select_book {
opacity: 0;
pointer-events: none;
}

#submitButton.show,#select_book.show,#goto_postcard.show {
opacity: 1;
pointer-events: auto;
}
@media screen and (max-width: 600px) {
.button_general {
width: 97%;
margin: 50px auto;
font-size: 135%;
white-space:inherit;
padding: 10px 10px 10px 0;
letter-spacing: 0.1em;
}
.button_general02::before {
right: 10px;
}
.button_general02 {
width: 98%;
margin: 50px auto;
font-size: 160%;
}
.button_general::before {
right: 20px;
width: 10px;
height: 10px;
border-top: 2px solid #fff;
border-right: 2px solid #fff;
}
.button_general:hover::before {
border-top: 2px solid #fff;
border-right: 2px solid #fff;
right: 10px;
}
}